Go to:
Gentoo Home
Documentation
Forums
Lists
Bugs
Planet
Store
Wiki
Get Gentoo!
Gentoo's Bugzilla – Attachment 278239 Details for
Bug 372927
[overlay] mesa-9999 egl USE flag needs shared-glapi configure option set
Home
|
New
–
[Ex]
|
Browse
|
Search
|
Privacy Policy
|
[?]
|
Reports
|
Requests
|
Help
|
New Account
|
Log In
[x]
|
Forgot Password
Login:
[x]
mesa-9999.ebuild
mesa-9999.ebuild (text/plain), 10.32 KB, created by
Angelo Arrifano (RETIRED)
on 2011-06-26 14:08:53 UTC
(
hide
)
Description:
mesa-9999.ebuild
Filename:
MIME Type:
Creator:
Angelo Arrifano (RETIRED)
Created:
2011-06-26 14:08:53 UTC
Size:
10.32 KB
patch
obsolete
># Copyright 1999-2010 Gentoo Foundation ># Distributed under the terms of the GNU General Public License v2 ># $Header: $ > >EAPI=3 > >EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa" > >if [[ ${PV} = 9999* ]]; then > GIT_ECLASS="git-2" > EXPERIMENTAL="true" >fi > >inherit base autotools multilib flag-o-matic python toolchain-funcs ${GIT_ECLASS} > >OPENGL_DIR="xorg-x11" > >MY_PN="${PN/m/M}" >MY_P="${MY_PN}-${PV/_/-}" >MY_SRC_P="${MY_PN}Lib-${PV/_/-}" > >FOLDER="${PV/_rc*/}" >[[ ${PV/_rc*/} == ${PV} ]] || FOLDER+="/RC" > >DESCRIPTION="OpenGL-like graphic library for Linux" >HOMEPAGE="http://mesa3d.sourceforge.net/" > >#SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2" >if [[ $PV = 9999* ]]; then > SRC_URI="${SRC_PATCHES}" >else > SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2 > ${SRC_PATCHES}" >fi > >LICENSE="LGPL-2 kilgard" >SLOT="0" >KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris" > >INTEL_CARDS="i810 i915 i965 intel" >RADEON_CARDS="r100 r200 r300 r600 radeon" >VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} mach64 mga nouveau r128 savage sis vmware tdfx via" >for card in ${VIDEO_CARDS}; do > IUSE_VIDEO_CARDS+=" video_cards_${card}" >done > >IUSE="${IUSE_VIDEO_CARDS} > bindist +classic d3d debug +egl +gallium gles +llvm motif +nptl openvg pic > selinux shared-dricore shared-glapi wayland kernel_FreeBSD" > >LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.24" ># not a runtime dependency of this package, but dependency of packages which ># depend on this package, bug #342393 >EXTERNAL_DEPEND=" > >=x11-proto/dri2proto-2.2 > >=x11-proto/glproto-1.4.11 >" ># keep correct libdrm and dri2proto dep ># keep blocks in rdepend for binpkg >RDEPEND="${EXTERNAL_DEPEND} > !<x11-base/xorg-server-1.7 > !<=x11-proto/xf86driproto-2.0.3 > classic? ( app-admin/eselect-mesa ) > gallium? ( app-admin/eselect-mesa ) > >=app-admin/eselect-opengl-1.1.1-r2 > dev-libs/expat > dev-libs/libxml2[python] > x11-libs/libICE > >=x11-libs/libX11-1.3.99.901 > x11-libs/libXdamage > x11-libs/libXext > x11-libs/libXi > x11-libs/libXmu > x11-libs/libXxf86vm > d3d? ( app-emulation/wine ) > motif? ( x11-libs/openmotif ) > gallium? ( > llvm? ( >=sys-devel/llvm-2.9 ) > ) > wayland? ( x11-base/wayland ) > ${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?] >" >for card in ${INTEL_CARDS}; do > RDEPEND="${RDEPEND} > video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] ) > " >done > >for card in ${RADEON_CARDS}; do > RDEPEND="${RDEPEND} > video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] ) > " >done > >DEPEND="${RDEPEND} > =dev-lang/python-2* > dev-util/pkgconfig > x11-misc/makedepend > x11-proto/inputproto > >=x11-proto/xextproto-7.0.99.1 > x11-proto/xf86driproto > x11-proto/xf86vidmodeproto >" > >S="${WORKDIR}/${MY_P}" > ># It is slow without texrels, if someone wants slow ># mesa without texrels +pic use is worth the shot >QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*" >QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*" > ># Think about: ggi, fbcon, no-X configs > >pkg_setup() { > # gcc 4.2 has buggy ivopts > if [[ $(gcc-version) = "4.2" ]]; then > append-flags -fno-ivopts > fi > > # recommended by upstream > append-flags -ffast-math > > python_set_active_version 2 > python_pkg_setup >} > >src_unpack() { > default > [[ $PV = 9999* ]] && git-2_src_unpack >} > >src_prepare() { > # apply patches > if [[ -n ${SRC_PATCHES} ]]; then > EPATCH_FORCE="yes" \ > EPATCH_SOURCE="${WORKDIR}/patches" \ > EPATCH_SUFFIX="patch" \ > epatch > fi > # FreeBSD 6.* doesn't have posix_memalign(). > if [[ ${CHOST} == *-freebsd6.* ]]; then > sed -i \ > -e "s/-DHAVE_POSIX_MEMALIGN//" \ > configure.ac || die > fi > # Solaris needs some recent POSIX stuff in our case > if [[ ${CHOST} == *-solaris* ]] ; then > sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die > sed -i -e 's/uint/unsigned int/g' src/egl/drivers/glx/egl_glx.c || die > fi > > # In order for mesa to complete it's build process we need to use a tool > # that it compiles. When we cross compile this clearly does not work > # so we require mesa to be built on the host system first. -solar > if tc-is-cross-compiler; then > sed -i -e "s#^GLSL_CL = .*\$#GLSL_CL = glsl_compiler#g" \ > "${S}"/src/mesa/shader/slang/library/Makefile || die > fi > > base_src_prepare > > eautoreconf >} > >src_configure() { > local myconf > > if use classic; then > # Configurable DRI drivers > driver_enable swrast > > # Intel code > driver_enable video_cards_i810 i810 > driver_enable video_cards_i915 i915 > driver_enable video_cards_i965 i965 > if ! use video_cards_i810 && \ > ! use video_cards_i915 && \ > ! use video_cards_i965; then > driver_enable video_cards_intel i810 i915 i965 > fi > > # Nouveau code > driver_enable video_cards_nouveau nouveau > > # ATI code > driver_enable video_cards_mach64 mach64 > driver_enable video_cards_mga mga > driver_enable video_cards_r128 r128 > > driver_enable video_cards_r100 radeon > driver_enable video_cards_r200 r200 > driver_enable video_cards_r300 r300 > driver_enable video_cards_r600 r600 > if ! use video_cards_r100 && \ > ! use video_cards_r200 && \ > ! use video_cards_r300 && \ > ! use video_cards_r600; then > driver_enable video_cards_radeon radeon r200 r300 r600 > fi > > driver_enable video_cards_savage savage > driver_enable video_cards_sis sis > driver_enable video_cards_tdfx tdfx > driver_enable video_cards_via unichrome > fi > > myconf+=" > $(use_enable !bindist texture-float) > $(use_enable gles gles1) > $(use_enable gles gles2) > $(use_enable egl) > $(use_enable openvg) > " > if use egl; then > use shared-glapi || die "egl needs shared-glapi. Please either enable shared-glapi or disable the egl use flag ." > myconf+="--with-egl-platforms=$(use wayland && echo "wayland,")drm,x11" > fi > > if use !gallium && use !classic; then > ewarn "You enabled neither classic nor gallium USE flags. No hardware" > ewarn "drivers will be built." > fi > if use gallium; then > myconf+=" > --with-state-trackers=glx,dri$(use egl && echo ",egl")$(use openvg && echo ",vega")$(use d3d && echo ",d3d1x") > $(use_enable llvm gallium-llvm) > " > gallium_enable video_cards_vmware svga > gallium_enable video_cards_nouveau nouveau > gallium_enable video_cards_intel i915 > gallium_enable video_cards_intel i965 > gallium_enable video_cards_redeon r300 > gallium_enable video_cards_radeon r600 > else > if use video_cards_nouveau || use video_cards_vmware; then > elog "SVGA and nouveau drivers are available only via gallium interface." > elog "Enable gallium useflag if you want to use them." > fi > fi > > # --with-driver=dri|xlib|osmesa || do we need osmesa? > econf \ > --disable-option-checking \ > --with-driver=dri \ > --disable-glut \ > --without-demos \ > --enable-xcb \ > $(use_enable debug) \ > $(use_enable motif glw) \ > $(use_enable motif) \ > $(use_enable nptl glx-tls) \ > $(use_enable !pic asm) \ > $(use_enable shared-dricore) \ > $(use_enable shared-glapi) \ > --with-dri-drivers=${DRI_DRIVERS} \ > --with-gallium-drivers=${GALLIUM_DRIVERS} \ > ${myconf} >} > >src_install() { > base_src_install > > if use !bindist; then > dodoc docs/patents.txt || die > fi > > # Save the glsl-compiler for later use > if ! tc-is-cross-compiler; then > dobin "${S}"/src/glsl/glsl_compiler || die > fi > # Remove redundant headers > # GLUT thing > rm -f "${ED}"/usr/include/GL/glut*.h || die "Removing glut include failed." > # Glew includes > rm -f "${ED}"/usr/include/GL/{glew,glxew,wglew}.h \ > || die "Removing glew includes failed." > > # Install config file for eselect mesa > insinto /usr/share/mesa > newins "${FILESDIR}/eselect-mesa.conf.7.11" eselect-mesa.conf || die > > # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib > # because user can eselect desired GL provider. > ebegin "Moving libGL and friends for dynamic switching" > dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/{lib,extensions,include} > local x > for x in "${ED}"/usr/$(get_libdir)/libGL.{la,a,so*}; do > if [ -f ${x} -o -L ${x} ]; then > mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/lib \ > || die "Failed to move ${x}" > fi > done > for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do > if [ -f ${x} -o -L ${x} ]; then > mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/include \ > || die "Failed to move ${x}" > fi > done > eend $? > > if use classic || use gallium; then > ebegin "Moving DRI/Gallium drivers for dynamic switching" > local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so > r600_dri.so swrast_dri.so nouveau_dri.so ) > keepdir /usr/$(get_libdir)/dri > dodir /usr/$(get_libdir)/mesa > for x in ${gallium_drivers[@]}; do > if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then > # Exception: Gallium nouveau driver doesn't use the g suffix > if [ "${x}" != "nouveau_dri.so" ]; then > mv -f "${ED}/usr/$(get_libdir)/dri/${x}" \ > "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \ > || die "Failed to move ${x}" > fi > insinto "/usr/$(get_libdir)/dri/" > if [ -f "${S}/$(get_libdir)/${x}" ]; then > insopts -m0755 > doins "${S}/$(get_libdir)/${x}" || die "failed to install ${x}" > fi > fi > done > for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do > if [ -f ${x} -o -L ${x} ]; then > mv -f "${x}" "${x/dri/mesa}" \ > || die "Failed to move ${x}" > fi > done > pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed" > ln -s ../mesa/*.so . || die "Creating symlink failed" > # remove symlinks to drivers known to eselect > for x in ${gallium_drivers[@]}; do > if [ -f ${x} -o -L ${x} ]; then > rm "${x}" || die "Failed to remove ${x}" > fi > done > popd > eend $? > fi >} > >pkg_postinst() { > # Switch to the xorg implementation. > echo > eselect opengl set --use-old ${OPENGL_DIR} > # Select classic/gallium drivers > if use classic || use gallium; then > eselect mesa set --auto > fi > > # warn about patent encumbered texture-float > if use !bindist; then > elog "USE=\"bindist\" was not set. Potentially patent encumbered code was" > elog "enabled. Please see patents.txt for an explanation." > fi >} > ># $1 - VIDEO_CARDS flag ># other args - names of DRI drivers to enable >driver_enable() { > case $# in > # for enabling unconditionally > 1) > DRI_DRIVERS+=",$1" > ;; > *) > if use $1; then > shift > for i in $@; do > DRI_DRIVERS+=",${i}" > done > fi > ;; > esac >} > >gallium_enable() { > case $# in > # for enabling unconditionally > 1) > GALLIUM_DRIVERS+=",$1" > ;; > *) > if use $1; then > shift > for i in $@; do > GALLIUM_DRIVERS+=",${i}" > done > fi > ;; > esac >}
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Raw
Actions:
View
Attachments on
bug 372927
:
278057
|
278233
| 278239 |
278241